KDE 4.2 PyKDE API Reference

- KDE's Python API

# CustomNodeFilter Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.DomShared
Namespace: DOM

## Detailed Description

## Methods

| __init__ (self)
short | acceptNode (self, DOM.Node n)
DOM.DOMString | customNodeFilterType (self)
bool | isNull (self)

## Method Documentation

__init__ | ( |  | self ) |

short acceptNode | ( | self, |
|  | DOM.Node | n
| ) |  |  |

DOM.DOMString customNodeFilterType | ( |  | self ) |

Internal:
  not part of the DOM

Returns a name specifying the type of custom node filter. Useful for checking if an custom node filter is of a particular sublass.

bool isNull | ( |  | self ) |